Updates the job_estimated_quantity object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "16c0010d-73a7-4b42-be8b-13394ce1be4d",
"estimated_quantity": 2.0,
"article_id": "3c09eaee-79cd-48d5-aaaf-b8ca2f998cd2",
"article_code": "sample string 4",
"article": {
"id": "6f3b2fdf-ca20-4d0a-8e35-0678caff2507",
"article_category_id": "1ed240fa-0e8f-4fcf-8414-9151fd276efb",
"article_category": {
"id": "ecad5a7c-286e-4645-ba6d-9786a1413f74",
"parent_id": "5783560a-e312-40dd-85c5-36efd368dcd0",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-09T18:16:55.2058735+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "eabb1b98-a043-48cb-8877-0f12e0b242a7",
"article_group_1_code": "sample string 5",
"article_group_2_id": "85f15acb-787d-4ab2-ad80-2935a16ca35b",
"article_group_2_code": "sample string 7",
"article_group_3_id": "532fada9-cfc0-4679-a9cc-4af63f7579c9",
"article_group_3_code": "sample string 9",
"article_group_4_id": "59db843d-6c46-420c-a318-829dae82379b",
"article_group_4_code": "sample string 11",
"article_group_5_id": "46bbdad6-911d-478e-a593-aeb2315365d9",
"article_group_5_code": "sample string 13",
"article_group_6_id": "fb93805c-d81d-46a2-8570-11615da9949c",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-09T18:16:55.2058735+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-09T18:16:55.2245883+00:00",
"date_update": "2026-11-09T18:16:55.2245883+00:00",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00",
"article_color_id": "17a4f4db-30d8-416b-b71d-6c3671f259f6",
"article_color_code": "sample string 38",
"article_color": {
"id": "931ecf92-98be-4267-bd29-972e53566364",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "8a45f5fe-9d5f-4ce5-88dd-3c85c87bb93a",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "97fa19bf-255e-4f9b-9c2f-0cecc370f095",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "f42eb88e-1057-4343-9c41-b38fd0efec29",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "dde77268-3a81-4c8b-a574-8508c29887d8",
"_parent_id": "f224e08e-7bc6-40ae-abb1-c61a3f86ef5a",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "0c1cb01e-977f-4cbb-b90e-3d422f0b7d14",
"project_reference_back_office": "sample string 5",
"project": {
"id": "47b852be-3146-4651-bf1a-814555b01bf1",
"_parent_id": "167d2aaf-418f-40cd-b30d-e0d616c59b5e",
"root_parent_id": "65b0ac53-a17f-4570-8964-b68adf675341",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "425d3120-182a-4b2f-a064-8c5aa92b32bd",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "072fd3b1-11f5-42c7-8ccb-9f13e57d8650",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3bad8075-2f8d-4cd8-a55a-98bc5b1a1592",
"_parent_code": "sample string 6",
"sales_organization_id": "f0c10327-1da0-406b-9f86-d2fcc6f460a0",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"equipment_model_id": "4da015e8-5b4d-40d0-809c-8cf6dd4db2e6",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "c0c4eaa5-56ba-4d5b-8b70-2efb5b7b8eca",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "feb351d5-f9e1-4b7b-bd06-148dec757674",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "fca1ea0b-b88a-4584-8d4e-0505a2449fc3",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "2b9c7835-954d-4b67-b9e7-331e4ff75d59",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"equipment_family_id": "c6a58924-c6e3-4ae2-8d35-618d2eecf800",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "072fd3b1-11f5-42c7-8ccb-9f13e57d8650",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3bad8075-2f8d-4cd8-a55a-98bc5b1a1592",
"_parent_code": "sample string 6",
"sales_organization_id": "f0c10327-1da0-406b-9f86-d2fcc6f460a0",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"date_in_production_since": "2026-11-09T18:16:55.2245883+00:00",
"date_out_of_production_since": "2026-11-09T18:16:55.2245883+00:00",
"date_end_support": "2026-11-09T18:16:55.2245883+00:00",
"sales_organization_id": "7890c525-50b5-42f2-81fc-023b26e47940",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"project_status_id": "8e710a51-3aed-4dd4-b4e5-ee4e04daba41",
"project_status_code": "sample string 10",
"project_status": {
"id": "49a2db00-16b8-44e8-be43-3f7db5a44add",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "0015698f-451a-4895-8462-cd08c2e52bd1",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"company_id": "9a498e74-8817-435a-9b30-1077ded8db01",
"company_code": "sample string 12",
"db_address_id": "a0cae8a4-56ba-4949-9ec7-7ff6a59bc54a",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "0f1026df-e3fd-4b18-922e-5f98f0e165ac",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "b8d327c8-fb88-4f7e-a511-ca07d92efa60",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-09T18:16:55.2245883+00:00",
"date_create": "2026-11-09T18:16:55.2245883+00:00",
"date_update": "2026-11-09T18:16:55.2245883+00:00",
"updated_by_user_id": "7e46a764-5671-4d03-9544-12d4063e8582",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-09T18:16:55.2245883+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-09T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-09T18:16:55.2245883+00:00",
"date_last_job": "2026-11-09T18:16:55.2245883+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-09T18:16:55.2245883+00:00",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00",
"is_mobile_installation": true
},
"job_type_id": "6f160896-000e-4986-a6eb-dbec43b37f64",
"job_type_code": "sample string 7",
"job_type": {
"id": "9a61e3c4-b170-4308-9563-f66e4ae2ea1a",
"name": "sample string 2",
"sales_organization_id": "ef204c24-e6a7-4f99-9079-9db0377762e7",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00",
"code": "sample string 7"
},
"job_priority_id": "58079297-aba6-4285-ba01-b93258405d20",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "2be6dc9a-c0b4-4b36-add2-5a9c9691db36",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "bc5cf1e1-437e-4a4a-a3e7-19a96b0bdd50",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"job_status_id": "48a6aab7-aea4-4eda-91be-a8a154bd8e91",
"job_status_code": "sample string 11",
"db_address_id": "793d07df-2520-4469-b655-a13f7dc3f22f",
"contact_id": "f42293fa-19e2-4039-a5d1-e813e6862827",
"requested_by_company_id": "3f85fc24-4ec2-40ae-bd5d-a5fb06d9375a",
"requested_by_contact_id": "6bd0cf23-dfda-4ae1-b617-d58a9d8a2be4",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-09T18:16:55.2245883+00:00",
"due_date": "2026-11-09T18:16:55.2245883+00:00",
"date_create": "2026-11-09T18:16:55.2245883+00:00",
"date_update": "2026-11-09T18:16:55.2245883+00:00",
"date_closed": "2026-11-09T18:16:55.2245883+00:00",
"suggested_user_id": "da736de4-8bd0-4122-aa86-f110cb3419e3",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "7e061519-9abd-4d1c-93e8-d5eef122abea",
"db_language_id": "cf077bdf-4709-45d6-842f-4ab41a305ef6",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-09T18:16:55.2245883+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "d0b0fba0-8d8b-49bb-ad97-b0979e378f4f",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "9db0a42d-4dd0-4830-b07c-fd9e54e2efb4",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "1ec65b81-d492-4ab6-92d9-3133a4ad3f26",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "34a1deaf-78e6-4dc2-acdf-fc7a311a771c"
},
"suggested_date_start": "2026-11-09T18:16:55.2245883+00:00",
"skill_id": "a35c687c-7d30-49b3-83b5-6b9e8607728a",
"skill_code": "sample string 32",
"skill": {
"id": "8864435a-047c-4c2b-9255-a9b6ec35bd8f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "78e6ea93-f92f-4060-8d3f-518a74aedb2d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "338e085b-1cb9-48a4-9a09-bd7680a0e3f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "12601125-967c-4e1d-92c2-ebfda5f03d44",
"db_currency_id": "2d8935aa-a05e-4c41-8dfd-2e2de8e9c578",
"db_language_id": "028075a3-afc3-45ac-a1ae-73afe1e291af",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T18:16:55.2245883+00:00"
},
"modified_dateutc": "2026-11-09T18:16:55.2371233+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "f00e02c3-fe8d-4d3f-9ea9-bd93d28e0c85",
"date_reported_by_company": "2026-11-09T18:16:55.2371233+00:00",
"id2": 36,
"company_id": "831c5e74-e39c-4ed8-9ce4-7b69a04c6831",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "6afc32f3-d99a-488e-a505-4d6b3f1b7440",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-09T18:16:55.2371233+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-09T18:16:55.2371233+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.